library contentsquare;

import 'package:contentsquare/src/modules/gestures/cs_gesture_detector.dart';
import 'package:contentsquare/src/modules/screengraph/hit_test/get_tvp_at_hit_position.dart';
import 'package:contentsquare_platform_interface/contentsquare_platform_interface.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

import '../contentsquare.dart';

/// ContentsquareRoot widget
///
/// Place it at the root of your app to provide your app with zoning features
class ContentsquareRoot extends StatelessWidget {
  /// ContensquareRoot widget constructor
  const ContentsquareRoot({Key? key, required this.child}) : super(key: key);

  /// Child widget
  final Widget child;

  void _a186({
    required ContentsquareGesture a459,
    required Offset a460,
    ContentsquareGestureData? a461,
  }) {
    final a272 = a257(a460);

    
    
    for (var a273 in a272) {
      Contentsquare().sendTouchEvent(
        type: a459,
        version: version,
        data: TouchEventData(path: a273, gestureData: a461),
      );
    }
  }

  @override
  Widget build(BuildContext context) {
    return a132(
      a82: (position) => _a186(
        a460: position,
        a459: ContentsquareGesture.tap,
      ),
      a81: (position) => _a186(
        a460: position,
        a459: ContentsquareGesture.longPress,
      ),
      a80: (position, data) => _a186(
        a460: position,
        a459: ContentsquareGesture.drag,
        a461: data,
      ),
      a79: (position, data) => _a186(
        a460: position,
        a459: ContentsquareGesture.flick,
        a461: data,
      ),
      a83: child,
    );
  }
}
