import 'dart:convert';

import 'package:contentsquare/contentsquare.dart';
import 'package:contentsquare/src/modules/logger/logger.dart';
import 'package:contentsquare/src/modules/webview_tracking/adapters/js_event_to_dart_sdk_adapter.dart';
import 'package:contentsquare/src/modules/webview_tracking/javascript_event_handler.dart';
import 'package:contentsquare/src/modules/webview_tracking/logs/invalid_json_log.dart';
import 'package:contentsquare/src/modules/webview_tracking/logs/screengraph_retrieval_error_logs/tvp_not_found_log.dart';
import 'package:contentsquare_platform_interface/contentsquare_platform_interface.dart';


class a157 extends a166 {
  
  a157({
    required this.a51,
    required this.a50,
  });

  
  final Contentsquare a51;

  
  final String? Function() a50;

  
  static const _a387 = 'eventJson';

  
  @override
  final List<String> a0 = [_a387];

  @override
  Future<void> a12(Map<String, dynamic> a423) async {
    try {
      final a388 = a50();

      if (a388 == null) {
        a187.a39(a174());
        return;
      }

      final a389 = jsonDecode(a423[_a387]);

      final a390 = a389['type'];
      final a391 = ContentsquareGestureInt.fromInt(a390);

      final a392 = a389['data'];

      if (a391 == ContentsquareGesture.pageView) {
        final a393 = a392['url'];
        return a51.send(a393);
      }

      return a51.sendTouchEvent(
        type: a391,
        version: a389['version'],
        data: TouchEventData.fromJson(a392)
            .copyWithPrefixedPath('$a388|webview|'),
      );
    } catch (error) {
      a187.a39(
        a142(
          a501: ContentsquareJavascriptEventEnum.sendMessage,
          a502: '$error',
        ),
      );
    }
  }
}
